Bug 1086755 - LibreOffice Calc: Copy only works every other time.
LibreOffice Calc: Copy only works every other time.
Status: RESOLVED NORESPONSE
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: LibreOffice
Current
x86-64 All
: P5 - None : Normal (vote)
: ---
Assigned To: Markéta Machová
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-03-25 15:12 UTC by Graham Davis
Modified: 2021-08-12 09:00 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---
msvec: needinfo? (hacker)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Graham Davis 2018-03-25 15:12:55 UTC
Since LibreOffice Calc version 5.4.2 (possibly earlier but was OK at 5.3.4), copying a cell often requires two copies as the first does nothing. For example, creating a column of numbers from 1 to 10 then copying and pasting each cell to populate the adjacent column results in the pasted column reading 1,1,3,3,5,5,7,7,9,9. I've checked the clipboard after each copy and nothing is added to it on alternate copy actions.

I've got this result on the most recent openSUSE release, 6.0.2, and also with the same release downloaded from the LibreOffice site. I've seen the same result on all three machines I've tested.

I've also tried 6.0.2 on Windows 10 but that works OK.
Comment 1 Graham Davis 2018-03-25 15:26:56 UTC
Failed to point out that copy and paste actions were via right-clicking on the cells and selecting "copy" and "paste" from the pop-up menu each time.

I've now repeated the test using ctrl+c and ctrl+v. This works as intended.
I've also tried clicking on the cell and using the "copy" and "paste" buttons on the toolbar. These also work. The problem appears, therefore, to be limited to the "right-click" menu.
Comment 2 Tomáš Chvátal 2018-03-26 07:41:44 UTC
Hmm, can't reproduce here, not even by clicking as you.

Could you provide what desktop enviroment you are on? Also what compositor do you use? X or wayland...
Comment 3 Graham Davis 2018-03-26 09:50:24 UTC
(In reply to Tomáš Chvátal from comment #2)
> Hmm, can't reproduce here, not even by clicking as you.
> 
> Could you provide what desktop enviroment you are on? Also what compositor
> do you use? X or wayland...

KDE Plasma 5.12.3 and X

Since this has been happening for a while on TW, the version of Plasma will also have varied and will have been those in use at the time of versions of LO since 5.4.2.

I first raised this on the newsgroup opensuse.org.help.applications [subject: LibreOffice Calc: Why do I have to copy->copy->paste?] and didn't raise the bug until I got confirmation that I was not alone. Pier Andreit gets the same problem in Leap 42.3 with LO 5.4.5.1-40. He also reports problems copying to Kate and Kwrite, which would seem reasonable if copies aren't appearing on the clipboard.
Comment 4 Tomáš Chvátal 2018-03-26 10:03:25 UTC
Hmm, KDE, I suppose it might be integration problem.

Please try to launch libreoffice from terminal as and see if it still not behaving properly:

SAL_USE_VCL_PLUGIN=gen localc
Comment 5 Graham Davis 2018-03-26 11:06:04 UTC
(In reply to Tomáš Chvátal from comment #4)
> Hmm, KDE, I suppose it might be integration problem.
> 
> Please try to launch libreoffice from terminal as and see if it still not
> behaving properly:
> 
> SAL_USE_VCL_PLUGIN=gen localc

That still gave trouble. 1 to 10 copy gave 1,1,3,4,4,6,6,8,8,10. May have accidentally twitched there and got a double-copy to skip from 3 to 4.
Comment 6 Graham Davis 2018-03-26 14:55:32 UTC
(In reply to Graham Davis from comment #5)
> (In reply to Tomáš Chvátal from comment #4)
> > Hmm, KDE, I suppose it might be integration problem.
> > 
> > Please try to launch libreoffice from terminal as and see if it still not
> > behaving properly:
> > 
> > SAL_USE_VCL_PLUGIN=gen localc
> 
> That still gave trouble. 1 to 10 copy gave 1,1,3,4,4,6,6,8,8,10. May have
> accidentally twitched there and got a double-copy to skip from 3 to 4.

I've installed a Gnome session of TW and can confirm that the problem does not occur there.
Comment 7 Graham Davis 2018-03-27 18:04:51 UTC
I've made a clean install of TW from snapshot 20180320 and the problem no longer exists. A previous clean install, but from an earlier release with updates, did not get rid of the problem. 

As far as I'm concerned, this can be marked as resolved. I'll add a note in the newsgroup with the solution and hope it works for Leap as well. Thanks for the help.
Comment 8 Graham Davis 2018-03-28 08:45:24 UTC
(In reply to Graham Davis from comment #7)
> I've made a clean install of TW from snapshot 20180320 and the problem no
> longer exists. A previous clean install, but from an earlier release with
> updates, did not get rid of the problem. 
> 
> As far as I'm concerned, this can be marked as resolved. I'll add a note in
> the newsgroup with the solution and hope it works for Leap as well. Thanks
> for the help.

Also just tested on Leap 15 beta and the problem does not exist on there. Suggests that Leap users with this annoyance may have to wait for Leap 15 to be released to find a cure.
Comment 9 Tomáš Chvátal 2018-08-31 07:59:30 UTC
Let us consider this fixed with Leap 15 and simply leave the state for 42.3.
Comment 10 Graham Davis 2018-09-09 11:49:04 UTC
(In reply to Tomáš Chvátal from comment #9)
> Let us consider this fixed with Leap 15 and simply leave the state for 42.3.

Could be a dangerous move as this bug has reappeared in TW. The version is 6.1.0.3. I created a new user to make sure it wasn't a profile problem and it also appears there.

I haven't yet tried Leap 15 but I'll give it a go in a while.
Comment 11 Graham Davis 2018-09-09 12:41:51 UTC
(In reply to Graham Davis from comment #10)
> (In reply to Tomáš Chvátal from comment #9)
> > Let us consider this fixed with Leap 15 and simply leave the state for 42.3.
> 
> Could be a dangerous move as this bug has reappeared in TW. The version is
> 6.1.0.3. I created a new user to make sure it wasn't a profile problem and
> it also appears there.
> 
> I haven't yet tried Leap 15 but I'll give it a go in a while.

Leap 15 is OK for now as the version 6.0.5.2 on there is working OK. So 6.1 needs fixing before releasing to Leap.
Comment 12 Graham Davis 2018-09-14 06:21:09 UTC
(In reply to Graham Davis from comment #11)
> (In reply to Graham Davis from comment #10)
> > (In reply to Tomáš Chvátal from comment #9)
> > > Let us consider this fixed with Leap 15 and simply leave the state for 42.3.
> > 
> > Could be a dangerous move as this bug has reappeared in TW. The version is
> > 6.1.0.3. I created a new user to make sure it wasn't a profile problem and
> > it also appears there.
> > 
> > I haven't yet tried Leap 15 but I'll give it a go in a while.
> 
> Leap 15 is OK for now as the version 6.0.5.2 on there is working OK. So 6.1
> needs fixing before releasing to Leap.

Just updated to 6.1.1.1 and the problem persists.
Comment 13 Graham Davis 2018-10-06 08:50:03 UTC
(In reply to Graham Davis from comment #12)
> (In reply to Graham Davis from comment #11)
> > (In reply to Graham Davis from comment #10)
> > > (In reply to Tomáš Chvátal from comment #9)
> > > > Let us consider this fixed with Leap 15 and simply leave the state for 42.3.
> > > 
> > > Could be a dangerous move as this bug has reappeared in TW. The version is
> > > 6.1.0.3. I created a new user to make sure it wasn't a profile problem and
> > > it also appears there.
> > > 
> > > I haven't yet tried Leap 15 but I'll give it a go in a while.
> > 
> > Leap 15 is OK for now as the version 6.0.5.2 on there is working OK. So 6.1
> > needs fixing before releasing to Leap.
> 
> Just updated to 6.1.1.1 and the problem persists.

Bug still there in 6.1.2.1.
Comment 14 Graham Davis 2018-11-02 08:17:35 UTC
(In reply to Graham Davis from comment #13)
> (In reply to Graham Davis from comment #12)
> > (In reply to Graham Davis from comment #11)
> > > (In reply to Graham Davis from comment #10)
> > > > (In reply to Tomáš Chvátal from comment #9)
> > > > > Let us consider this fixed with Leap 15 and simply leave the state for 42.3.
> > > > 
> > > > Could be a dangerous move as this bug has reappeared in TW. The version is
> > > > 6.1.0.3. I created a new user to make sure it wasn't a profile problem and
> > > > it also appears there.
> > > > 
> > > > I haven't yet tried Leap 15 but I'll give it a go in a while.
> > > 
> > > Leap 15 is OK for now as the version 6.0.5.2 on there is working OK. So 6.1
> > > needs fixing before releasing to Leap.
> > 
> > Just updated to 6.1.1.1 and the problem persists.
> 
> Bug still there in 6.1.2.1.

And in 6.1.3.1.
Comment 15 Graham Davis 2019-04-30 08:38:22 UTC
I'm now running 6.2.3.2 and my tests for this problem are no longer showing it happen. However, it's still occurring in real use though not as often as before. Still a right pain when it does. Any progress being made on fixing this problem for good?
Comment 16 Michal Svec 2019-05-21 09:30:13 UTC
(In reply to Graham Davis from comment #15)
> I'm now running 6.2.3.2 and my tests for this problem are no longer showing
> it happen. However, it's still occurring in real use though not as often as
> before. Still a right pain when it does. Any progress being made on fixing
> this problem for good?

Can you describe exact steps to reproduce? I just did this and it went fine:
 - run localc
 - fill in 1-10 to A1-A10
 - for each cell: go to Ax, Ctrl+C, go to Bx, Ctrl+V

It was on Leap 15.0, libreoffice-6.2.3.2-lp150.819.1.x86_64 from LO:62
Comment 17 Johannes Segitz 2020-02-07 09:42:53 UTC
FWIW I have the same issue on Leap 15.1 (current libreoffice, notion as windowmanager) and the 
SAL_USE_VCL_PLUGIN=gen
workaround worked for me
Comment 19 Markéta Machová 2021-07-09 11:42:16 UTC
Anyone tried more recent libreoffice? Mine works fine (LO 7.1.4 on Tumbleweed).
Comment 20 Markéta Machová 2021-08-12 09:00:00 UTC
Closing as NORESPONSE, moreover I think it was fixed with the new version.